Bug 1475767 - Direct LUN should not have a PV ID
Direct LUN should not have a PV ID
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: BLL.Storage (Show other bugs)
4.1.3
Unspecified Unspecified
unspecified Severity medium (vote)
: ovirt-4.2.0
: ---
Assigned To: Idan Shaby
Kevin Alon Goldblatt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-27 05:51 EDT by Idan Shaby
Modified: 2017-12-20 06:45 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-20 06:45:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.2+


Attachments (Terms of Use)
vdsm, server, engine logs (719.62 KB, application/x-gzip)
2017-08-10 11:28 EDT, Kevin Alon Goldblatt
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 79877 master MERGED backend: direct LUN should not have a PV ID in the DB 2017-07-30 10:32 EDT

  None (edit)
Description Idan Shaby 2017-07-27 05:51:39 EDT
Description of problem:
When a lun is used as a part of a storage domain, it contains a PV ID in the luns table.
However, when it is used as a direct LUN, vdsm doesn't create a PV on it and thus it shouldn't contain a PV ID in that table.

Version-Release number of selected component (if applicable):
afc8eb197ccf29653d80b9878740e16b05732abb

How reproducible:
100%

*** Steps to Reproduce ***

Option 1:
1. Create a storage domain from a lun.
2. Destroy the domain.
3. Add a direct LUN using the same lun.

Option 2:
1. Create a storage domain from a lun.
2. Add a direct LUN using the same lun.
3. Destroy the domain.

Actual results:
In both cases, the lun contains a PV ID in the "luns" table.

Expected results:
The lun should not contain a PV ID in those cases.

Additional info:
The PV ID is not different than the VG ID in this case.
A lun should contain both or non of them at any time.
Comment 1 Allon Mureinik 2017-07-30 10:33:15 EDT
Idan, is this relevant to 4.1.z too?
Comment 2 Idan Shaby 2017-07-30 16:31:19 EDT
Not sure that it's relevant, because it exists at least from 4.0 and I can not think of any bug that can happen because of it.
Moving to modified. If you decide that we should backport, please move it back to POST.
Comment 3 Kevin Alon Goldblatt 2017-08-10 11:18:07 EDT
Verified with the following code:
----------------------------------------------
ovirt-engine-4.2.0-0.0.master.20170723141021.git463826a.el7.centos.noarch
vdsm-4.20.1-218.git1b7671f.el7.centos.x86_64


Verified with the following scenario:
---------------------------------------------
1. Create a storage domain from a lun.
2. Destroy the domain.
3. Add a direct LUN using the same lun - Physical volume id is still created

Moving to ASSIGNED!
Comment 4 Red Hat Bugzilla Rules Engine 2017-08-10 11:18:12 EDT
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.
Comment 5 Kevin Alon Goldblatt 2017-08-10 11:28 EDT
Created attachment 1311822 [details]
vdsm, server, engine logs

Adding vdsm, server, engine logs
Comment 6 Kevin Alon Goldblatt 2017-08-10 11:31:12 EDT
Engine log:
--------------------

Lock freed to object 'EngineLock:{exclusiveLocks='[03492f87-1721-4c3a-b129-96fa81e0bf1c=STORAGE]', sharedLocks=''}'
2017-08-10 18:12:30,104+03 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.IrsProxy] (org.ovirt.thread.EE-ManagedThreadFactory-default-Thread-11) [] Removing domain '03492f87-1721-4c3a-b129-96fa81e0bf1c' from t
he domains in maintenance cache
2017-08-10 18:12:47,601+03 INFO  [org.ovirt.engine.core.bll.tasks.AsyncTaskManager] (DefaultQuartzScheduler4) [1a665533] Setting new tasks map. The map contains now 0 tasks
2017-08-10 18:12:47,601+03 INFO  [org.ovirt.engine.core.bll.tasks.AsyncTaskManager] (DefaultQuartzScheduler4) [1a665533] Cleared all tasks of pool '554f5132-0233-44df-8266-1827c26a2731'.
2017-08-10 18:12:53,548+03 INFO  [org.ovirt.engine.core.bll.storage.domain.RemoveStorageDomainCommand] (default task-5) [12185b67-4273-4004-8d0f-33206adf77a1] Lock Acquired to object 'EngineLock:{exclusiveLocks=
'[03492f87-1721-4c3a-b129-96fa81e0bf1c=STORAGE]', sharedLocks=''}'
2017-08-10 18:12:53,567+03 INFO  [org.ovirt.engine.core.bll.storage.domain.RemoveStorageDomainCommand] (default task-5) [12185b67-4273-4004-8d0f-33206adf77a1] Running command: RemoveStorageDomainCommand internal
: false. Entities affected :  ID: 03492f87-1721-4c3a-b129-96fa81e0bf1c Type: StorageAction group DELETE_STORAGE_DOMAIN with role type ADMIN
2017-08-10 18:12:53,971+03 INFO  [org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector] (default task-5) [12185b67-4273-4004-8d0f-33206adf77a1] EVENT_ID: USER_REMOVE_STORAGE_DOMAIN(960), Storage 
Domain test1 was removed by admin@internal-authz
2017-08-10 18:12:53,999+03 INFO  [org.ovirt.engine.core.bll.storage.domain.RemoveStorageDomainCommand] (default task-5) [12185b67-4273-4004-8d0f-33206adf77a1] Lock freed to object 'EngineLock:{exclusiveLocks='[0
3492f87-1721-4c3a-b129-96fa81e0bf1c=STORAGE]', sharedLocks=''}'
2017-08-10 18:13:25,680+03 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.GetDeviceListVDSCommand] (default task-2) [6e716c53-f19e-421d-b018-990b2d2f168e] START, GetDeviceListVDSCommand(HostName = green-vdsb.q
a.lab.tlv.redhat.com, GetDeviceListVDSCommandParameters:{hostId='4b917c14-d73b-4513-8df0-2f3cd9bc259e', storageType='ISCSI', checkStatus='false', lunIds='null'}), log id: 72d981c6
2017-08-10 18:13:26,329+03 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.GetDeviceListVDSCommand] (default task-2) [6e716c53-f19e-421d-b018-990b2d2f168e] FINISH, GetDeviceListVDSCommand, return: [LUNs:{id='35
14f0c5a51600676', physicalVolumeId='VdQjO2-fOng-dvNP-ZzDD-xfHx-X95H-r3Dvwt', volumeGroupId='1SwxnY-rqJN-EJ1t-0vN3-m9nk-zyGU-3mIEk2', serial='SXtremIO_XtremApp_XIO00153500071', lunMapping='1', vendorId='XtremIO',
 productId='XtremApp', lunConnections='[StorageServerConnections:{id='null', connection='10.35.146.129', iqn='iqn.2008-05.com.xtremio:xio00153500071-514f0c50023f6c00', vfsType='null', mountOptions='null', nfsVer
sion='null', nfsRetrans='null', nfsTimeo='null', iface='null', netIfaceName='null'}, StorageServerConnections:{id='null', connection='10.35.146.161', iqn='iqn.2008-05.com.xtremio:xio00153500071-514f0c50023f6c01'
, vfsType='null', mountOptions='null', nfsVersion='null', nfsRetrans='null', nfsTimeo='null', iface='null', netIfaceName='null'}, StorageServerConnections:{id='null', connection='10.35.146.193', iqn='iqn.2008-05
.com.xtremio:xio00153500071-514f0c50023f6c04', vfsType='null', mountOptions='null', nfsVersion='null', nfsRetrans='null', nfsTimeo='null', iface='null', netIfaceName='null'}, StorageServerConnections:{id='null',
 connection='10.35.146.225', iqn='iqn.2008-05.com.xtremio:xio00153500071-514f0c50023f6c05', vfsType='null', mountOptions='null', nfsVersion='null', nfsRetrans='null', nfsTimeo='null', iface='null', netIfaceName=
'null'}]', deviceSize='50', pvSize='49', peCount='null', peAllocatedCount='null', vendorName='XtremIO', pathsDictionary='[sdb=true, sdf=true, sdj=true, sdn=true]', pathsCapacity='[sdb=50, sdf=50, sdj=50, sdn=50]
', lunType='ISCSI', status='Unknown', diskId='null', diskAlias='null', storageDomainId='null', storageDomainName='null', discardMaxSize='8388608', discardZeroesData='true'}, LUNs:{id='3514f0c5a51600677', physica
lVolumeId='cDYeL3-9AKc-Nudz-Cx0e-Jcke-a2p2-iFynDx', volumeGroupId='ymnxX2-RM9i-c6q7-kYog-fPZM-EGsT-m3YMrS', serial='SXtremIO_XtremApp_XIO00153500071', lunMapping='2', vendorId='XtremIO', productId='XtremApp', lu
nConnections='[StorageServerConnections:{id='null', connection='10.35.146.129', iqn='iqn.2008-05.com.xtremio:xio00153500071-514f0c50023f6c00', vfsType='null', mountOptions='null', nfsVersion='null', nfsRetrans='
null', nfsTimeo='null', iface='null', netIfaceName='null'}, StorageServerConnections:{id='null', connection='10.35.146.161', iqn='iqn.2008-05.com.xtremio:xio00153500071-514f0c50023f6c01', vfsType='null', mountOp
tions='null', nfsVersion='null', nfsRetrans='null', nfsTimeo='null', iface='null', netIfaceName='null'}, StorageServerConnections:{id='null', connection='10.35.146.193', iqn='iqn.2008-05.com.xtremio:xio001535000
71-514f0c50023f6c04', vfsType='null', mountOptions='null', nfsVersion='null', nfsRetrans='null', nfsTimeo='null', iface='null', netIfaceName='null'}, StorageServerConnections:{id='null', connection='10.35.146.22
5', iqn='iqn.2008-05.com.xtremio:xio00153500071-514f0c50023f6c05', vfsType='null', mountOptions='null', nfsVersion='null', nfsRetrans='null', nfsTimeo='null', iface='null', netIfaceName='null'}]', deviceSize='50
', pvSize='49', peCount='null', peAllocatedCount='null', vendorName='XtremIO', pathsDictionary='[sdc=true, sdg=true, sdk=true, sdo=true]', pathsCapacity='[sdc=50, sdg=50, sdk=50, sdo=50]', lunType='ISCSI', statu
s='Unknown', diskId='null', diskAlias='null', storageDomainId='null', storageDomainName='null', discardMaxSize='8388608', discardZeroesData='true'}, LUNs:{id='3514f0c5a51600675', physicalVolumeId='WPkpUt-F0WY-uW
gp-MoLt-wtza-7ruY-rASa19', volumeGroupId='S8n4Pd-IagN-mByN-lipB-zVip-7OZO-JhR91n', serial='SXtremIO_XtremApp_XIO00153500071', lunMapping='3', vendorId='XtremIO', productId='XtremApp', lunConnections='[StorageSer
verConnections:{id='null', connection='10.35.146.129', iqn='iqn.2008-05.com.xtremio:xio00153500071-514f0c50023f6c00', vfsType='null', mountOptions='null', nfsVersion='null', nfsRetrans='null', nfsTimeo='null', i
face='null', netIfaceName='null'}, StorageServerConnections:{id='null', connection='10.35.146.161', iqn='iqn.2008-05.com.xtremio:xio00153500071-514f0c50023f6c01', vfsType='null', mountOptions='null', nfsVersion=
'null', nfsRetrans='null', nfsTimeo='null', iface='null', netIfaceName='null'}, StorageServerConnections:{id='null', connection='10.35.146.193', iqn='iqn.2008-05.com.xtremio:xio00153500071-514f0c50023f6c04', vfs
Type='null', mountOptions='null', nfsVersion='null', nfsRetrans='null', nfsTimeo='null', iface='null', netIfaceName='null'}, StorageServerConnections:{id='null', connection='10.35.146.225', iqn='iqn.2008-05.com.
xtremio:xio00153500071-514f0c50023f6c05', vfsType='null', mountOptions='null', nfsVersion='null', nfsRetrans='null', nfsTimeo='null', iface='null', netIfaceName='null'}]', deviceSize='50', pvSize='49', peCount='
null', peAllocatedCount='null', vendorName='XtremIO', pathsDictionary='[sdd=true, sdh=true, sdl=true, sdp=true]', pathsCapacity='[sdd=50, sdh=50, sdl=50, sdp=50]', lunType='ISCSI', status='Unknown', diskId='null
', diskAlias='null', storageDomainId='null', storageDomainName='null', discardMaxSize='8388608', discardZeroesData='true'}, LUNs:{id='3514f0c5a51600672', physicalVolumeId='Vy0x01-qmzE-v1zh-mQ1f-eIIC-5iKy-DWpdbi'
, volumeGroupId='S8n4Pd-IagN-mByN-lipB-zVip-7OZO-JhR91n', serial='SXtremIO_XtremApp_XIO00153500071', lunMapping='4', vendorId='XtremIO', productId='XtremApp', lunConnections='[StorageServerConnections:{id='null'
, connection='10.35.146.129', iqn='iqn.2008-05.com.xtremio:xio00153500071-514f0c50023f6c00', vfsType='null', mountOptions='null', nfsVersion='null', nfsRetrans='null', nfsTimeo='null', iface='null', netIfaceName
='null'}, StorageServerConnections:{id='null', connection='10.35.146.161', iqn='iqn.2008-05.com.xtremio:xio00153500071-514f0c50023f6c01', vfsType='null', mountOptions='null', nfsVersion='null', nfsRetrans='null'
, nfsTimeo='null', iface='null', netIfaceName='null'}, StorageServerConnections:{id='null', connection='10.35.146.193', iqn='iqn.2008-05.com.xtremio:xio00153500071-514f0c50023f6c04', vfsType='null', mountOptions
='null', nfsVersion='null', nfsRetrans='null', nfsTimeo='null', iface='null', netIfaceName='null'}, StorageServerConnections:{id='null', connection='10.35.146.225', iqn='iqn.2008-05.com.xtremio:xio00153500071-514f0c50023f6c05', vfsType='null', mountOptions='null', nfsVersion='null', nfsRetrans='null', nfsTimeo='null', iface='null', netIfaceName='null'}]', deviceSize='50', pvSize='49', peCount='null', peAllocatedCount='null', vendorName='XtremIO', pathsDictionary='[sdq=true, sde=true, sdi=true, sdm=true]', pathsCapacity='[sdq=50, sde=50, sdi=50, sdm=50]', lunType='ISCSI', status='Unknown', diskId='null', diskAlias='null', storageDomainId='null', storageDomainName='null', discardMaxSize='8388608', discardZeroesData='true'}, LUNs:{id='3514f0c5a51600d9b', physicalVolumeId='', volumeGroupId='', serial='SXtremIO_XtremApp_XIO00153500071', lunMapping='5', vendorId='XtremIO', productId='XtremApp', lunConnections='[StorageServerConnections:{id='null', connection='10.35.146.129', iqn='iqn.2008-05.com.xtremio:xio00153500071-514f0c50023f6c00', vfsType='null', mountOptions='null', nfsVersion='null', nfsRetrans='null', nfsTimeo='null', iface='null', netIfaceName='null'}, StorageServerConnections:{id='null', connection='10.35.146.161', iqn='iqn.2008-05.com.xtremio:xio00153500071-514f0c50023f6c01', vfsType='null', mountOptions='null', nfsVersion='null', nfsRetrans='null', nfsTimeo='null', iface='null', netIfaceName='null'}, StorageServerConnections:{id='null', connection='10.35.146.193', iqn='iqn.2008-05.com.xtremio:xio00153500071-514f0c50023f6c04', vfsType='null', mountOptions='null', nfsVersion='null', nfsRetrans='null', nfsTimeo='null', iface='null', netIfaceName='null'}, StorageServerConnections:{id='null', connection='10.35.146.225', iqn='iqn.2008-05.com.xtremio:xio00153500071-514f0c50023f6c05', vfsType='null', mountOptions='null', nfsVersion='null', nfsRetrans='null', nfsTimeo='null', iface='null', netIfaceName='null'}]', deviceSize='150', pvSize='0', peCount='null', peAllocatedCount='null', vendorName='XtremIO', pathsDictionary='[sdr=true, sdt=true, sds=true, sdu=true]', pathsCapacity='[sdr=150, sdt=150, sds=150, sdu=150]', lunType='ISCSI', status='Unknown', diskId='null', diskAlias='null', storageDomainId='null', storageDomainName='null', discardMaxSize='8388608', discardZeroesData='true'}, LUNs:{id='3514f0c5a51600d9c', physicalVolumeId='yt4viR-K295-6vl8-Isfg-mJSg-u3E6-MHzbZk', volumeGroupId='Ay2Qqw-9uMl-UQLX-2QbZ-3l8s-3sQ1-Nq22hN', serial='SXtremIO_XtremApp_XIO00153500071', lunMapping='6', vendorId='XtremIO', productId='XtremApp', lunConnections='[StorageServerConnections:{id='null', connection='10.35.146.129', iqn='iqn.2008-05.com.xtremio:xio00153500071-514f0c50023f6c00', vfsType='null', mountOptions='null', nfsVersion='null', nfsRetrans='null', nfsTimeo='null', iface='null', netIfaceName='null'}, StorageServerConnections:{id='null', connection='10.35.146.161', iqn='iqn.2008-05.com.xtremio:xio00153500071-514f0c50023f6c01', vfsType='null', mountOptions='null', nfsVersion='null', nfsRetrans='null', nfsTimeo='null', iface='null', netIfaceName='null'}, StorageServerConnections:{id='null', connection='10.35.146.225', iqn='iqn.2008-05.com.xtremio:xio00153500071-514f0c50023f6c05', vfsType='null', mountOptions='null', nfsVersion='null', nfsRetrans='null', nfsTimeo='null', iface='null', netIfaceName='null'}, StorageServerConnections:{id='null', connection='10.35.146.193', iqn='iqn.2008-05.com.xtremio:xio00153500071-514f0c50023f6c04', vfsType='null', mountOptions='null', nfsVersion='null', nfsRetrans='null', nfsTimeo='null', iface='null', netIfaceName='null'}]', deviceSize='20', pvSize='19', peCount='null', peAllocatedCount='null', vendorName='XtremIO', pathsDictionary='[sdv=true, sdx=true, sdw=true, sdy=true]', pathsCapacity='[sdv=20, sdx=20, sdw=20, sdy=20]', lunType='ISCSI', status='Unknown', diskId='null', diskAlias='null', storageDomainId='null', storageDomainName='null', discardMaxSize='8388608', discardZeroesData='true'}, LUNs:{id='3514f0c5a51600d9d', physicalVolumeId='dPj2t4-VI2g-hPQ8-gTWW-YEix-Ln66-xf3cJD', volumeGroupId='qvnpPi-3yD2-rdmQ-3D4h-kyAO-x8Ir-DW9H3m', serial='SXtremIO_XtremApp_XIO00153500071', lunMapping='7', vendorId='XtremIO', productId='XtremApp', lunConnections='[StorageServerConnections:{id='null', connection='10.35.146.129', iqn='iqn.2008-05.com.xtremio:xio00153500071-514f0c50023f6c00', vfsType='null', mountOptions='null', nfsVersion='null', nfsRetrans='null', nfsTimeo='null', iface='null', netIfaceName='null'}, StorageServerConnections:{id='null', connection='10.35.146.161', iqn='iqn.2008-05.com.xtremio:xio00153500071-514f0c50023f6c01', vfsType='null', mountOptions='null', nfsVersion='null', nfsRetrans='null', nfsTimeo='null', iface='null', netIfaceName='null'}, StorageServerConnections:{id='null', connection='10.35.146.193', iqn='iqn.2008-05.com.xtremio:xio00153500071-514f0c50023f6c04', vfsType='null', mountOptions='null', nfsVersion='null', nfsRetrans='null', nfsTimeo='null', iface='null', netIfaceName='null'}, StorageServerConnections:{id='null', connection='10.35.146.225', iqn='iqn.2008-05.com.xtremio:xio00153500071-514f0c50023f6c05', vfsType='null', mountOptions='null', nfsVersion='null', nfsRetrans='null', nfsTimeo='null', iface='null', netIfaceName='null'}]', deviceSize='20', pvSize='19', peCount='null', peAllocatedCount='null', vendorName='XtremIO', pathsDictionary='[sdaa=true, sdac=true, sdab=true, sdz=true]', pathsCapacity='[sdaa=20, sdac=20, sdab=20, sdz=20]', lunType='ISCSI', status='Unknown', diskId='null', diskAlias='null', storageDomainId='null', storageDomainName='null', discardMaxSize='8388608', discardZeroesData='true'}], log id: 72d981c6
2017-08-10 18:13:53,338+03 INFO  [org.ovirt.engine.core.bll.storage.disk.AddDiskCommand] (default task-15) [26b544a9-2f28-4b78-9d32-5f79704efa2c] Running command: AddDiskCommand internal: false. Entities affected :  ID: aaa00000-0000-0000-0000-123456789aaa Type: SystemAction group CREATE_DISK with role type USER
2017-08-10 18:13:53,438+03 INFO  [org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector] (default task-15) [26b544a9-2f28-4b78-9d32-5f79704efa2c] EVENT_ID: USER_ADD_DISK_FINISHED_SUCCESS(2,021), The disk 'direct1' was successfully added.
2017-08-10 18:15:00,022+03 INFO  [org.ovirt.e
Comment 7 Allon Mureinik 2017-08-10 11:36:01 EDT
Kevin, the patch was merged on Jul 30th, but you're testing with a build from July 23rd.
Please retest with a version that includes the patch.
Comment 8 Kevin Alon Goldblatt 2017-08-21 11:16:00 EDT
Verified with the following code:
----------------------------------------------
ovirt-engine-4.2.0-0.0.master.20170813134654.gitaee967b.el7.centos.noarch
vdsm-4.20.2-77.gite43f776.el7.centos.x86_64




Verified with the following scenario:
---------------------------------------------
1. Create a storage domain from a lun.
2. Destroy the domain.
3. Add a direct LUN using the same lun - Physical volume id is still created

Moving to VERIFIED!
Comment 9 Sandro Bonazzola 2017-12-20 06:45:07 EST
This bugzilla is included in oVirt 4.2.0 release, published on Dec 20th 2017.

Since the problem described in this bug report should be
resolved in oVirt 4.2.0 release, published on Dec 20th 2017, it has been closed with a resolution of CURRENT RELEASE.

If the solution does not work for you, please open a new bug report.

Note You need to log in before you can comment on or make changes to this bug.